{
  "server": {% if is_server %} true {% else %} false {% endif %},
  "datacenter": "dc1",
  "node_name": "{{ node_name }}",
  "data_dir": "{{ path_consul }}",
  "bind_addr": "{{ ansible_default_ipv4.address }}",
  "client_addr": "{{ ansible_default_ipv4.address }} 127.0.0.1",
  "advertise_addr": "{{ ansible_default_ipv4.address }}",
  "retry_join": ["{{ server_addr }}"],
  "encrypt": "{{ encryption_key }}",
  "disable_keyring_file": true,

  {% if is_server %}

  "bootstrap_expect": 1,
  "enable_script_checks": true,
  "enable_local_script_checks": true,

  {% endif %}

  "log_level": "warn",
  "enable_syslog": true
}